package fr.natan.akkastreamfileprocessingapi.futurecompleteness;

import scala.concurrent.Future;

import java.util.Random;
import java.util.concurrent.CompletableFuture;
import java.util.concurrent.Executors;


public class CompletableFutureResult<T> {

    public CompletableFuture<T> buildcompletableFuture(Future<T> future){
        CompletableFuture<T> completableFuture = new CompletableFuture<>();
        Executors.newSingleThreadExecutor().submit(()->{
            Thread.sleep(new Random().nextInt(500-200)+200);
            return completableFuture.complete(future.value().get().get());
        });

        return completableFuture;
    }

}
